GeoBBox (Lucene 10.5.1 spatial3d API)
Description: declaration: package: org.apache.lucene.spatial3d.geom, interface: GeoBBox

Package org.apache.lucene.spatial3d.geom

# Interface GeoBBox

All Superinterfaces:
  `Bounded`, `GeoArea`, `GeoAreaShape`, `GeoBounds`, `GeoMembershipShape`, `GeoOutsideDistance`, `GeoShape`, `GeoSizeable`, `Membership`, `PlanetObject`, `SerializableObject`

All Known Subinterfaces:
  `GeoPointShape`

All Known Implementing Classes:
  `GeoDegenerateVerticalLine`

public interface GeoBBox extends GeoAreaShape, GeoSizeable
All bounding box shapes have this interface in common. This describes methods that bounding boxes have above and beyond GeoMembershipShape's.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

  `CONTAINS, DISJOINT, OVERLAPS, WITHIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GeoBBox`
  `expand(double angle)`
  Expand box by specified angle.

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Bounded

  `getBounds`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoArea

  `getRelationship`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoAreaShape

  `intersects`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoOutsideDistance

  `computeOutsideDistance, computeOutsideDistance`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoShape

  `getEdgePoints, intersects`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoSizeable

  `getCenter, getRadius`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

  `isWithin, isWithin`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

  `getPlanetModel`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

  `write`

- ## Method Details

  - ### expand

    GeoBBox expand(double angle)
    Expand box by specified angle.
    Parameters:
      `angle` - is the angle amount to expand the GeoBBox by.
    Returns:
      a new GeoBBox.